<template>
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-5">
        <div class="card">
          <div class="card-header">
            <h3 class="mb-0">Login</h3>
          </div>
          <div class="card-body">
            <div class="form-group mb-2">
              <label class="form-label" for="username">Username</label>
              <input type="text" class="form-control" name="username" id="username" v-model="username">
            </div>
            <div class="form-group mb-2">
              <label class="form-label" for="password">Password</label>
              <input type="password" class="form-control" name="password" id="password" v-model="password">
            </div>
            <div class="form-group mb-2">
              <button type="button" @click="authUser()" class="btn btn-primary">Login</button>
              <router-link class="m-3" to="/">Back</router-link>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from '../config/axios'

export default {
  name: 'Login',
  data(){
    return {
      username: '',
      password: ''
    }
  },
  methods: {
    async authUser(){
      const payload = {
        username: this.username,
        password: this.password
      }
      const response = await axios.post('/login', payload)
      if (response.data.status === 'success') {
        console.log(response.data)
      } else {
        console.log(response.data)
      }
    }
  }
}
</script>